/*
 * Copyright (c) 2019, PANNK and/or its affiliates. All rights reserved.
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 */
package com.pannk.mms.modules.sys.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.pannk.mms.modules.sys.entity.SysMenuEntity;
import com.pannk.mms.modules.sys.vo.SysMenuInfo;

/**
 * 系统菜单服务
 *
 * @author：wolf
 * @date：2020/11/2 23:35
 **/
public interface SysMenuService extends IService<SysMenuEntity> {
    /**
     * 用户菜单
     * @param userId 用户ID
     * @return
     */
    SysMenuInfo getUserMenuList(Long userId);
}
